Generic Value Blob management
Eina » Data Types » Containers » Generic Value Storage

## Data Structures

struct | _Eina_Value_Blob_Operations
| How to manage blob. More...
struct | _Eina_Value_Blob
| Used to store the blob information and management operations. More...

## Macros

#define | EINA_VALUE_BLOB_OPERATIONS_VERSION (1)
| Current API version, used to validate _Eina_Value_Blob_Operations.

## Typedefs

typedef struct _Eina_Value_Blob_Operations | Eina_Value_Blob_Operations
| How to manage blob.
typedef struct _Eina_Value_Blob | Eina_Value_Blob
| Value type for EINA_VALUE_TYPE_BLOB.

## Variables

EINA_API const Eina_Value_Blob_Operations * | EINA_VALUE_BLOB_OPERATIONS_MALLOC
| Assumes `memory` was create with malloc() and applies free() to it during flush (Eina_Value_Blob_Operations::free).
EINA_API const Eina_Value_Blob_Operations * | EINA_VALUE_BLOB_OPERATIONS_MALLOC = NULL
| Assumes `memory` was create with malloc() and applies free() to it during flush (Eina_Value_Blob_Operations::free).

## Detailed Description

## Typedef Documentation

## Eina_Value_Blob_Operations

typedef struct _Eina_Value_Blob_Operations Eina_Value_Blob_Operations

How to manage blob.

Any `NULL` callback is ignored.

See also
  _Eina_Value_Blob_Operations explains fields.

Since
  1.2

## Eina_Value_Blob

typedef struct _Eina_Value_Blob Eina_Value_Blob

Value type for EINA_VALUE_TYPE_BLOB.

See also
  _Eina_Value_Blob explains fields.

Since
  1.2

## Variable Documentation

## EINA_VALUE_BLOB_OPERATIONS_MALLOC [1/2]

EINA_API const Eina_Value_Blob_Operations* EINA_VALUE_BLOB_OPERATIONS_MALLOC

extern

Assumes `memory` was create with malloc() and applies free() to it during flush (Eina_Value_Blob_Operations::free).

Copy is done with malloc() as well.

No compare or to_string are provided, defaults will be used.

## EINA_VALUE_BLOB_OPERATIONS_MALLOC [2/2]

EINA_API const Eina_Value_Blob_Operations* EINA_VALUE_BLOB_OPERATIONS_MALLOC = NULL

Assumes `memory` was create with malloc() and applies free() to it during flush (Eina_Value_Blob_Operations::free).

Copy is done with malloc() as well.

No compare or to_string are provided, defaults will be used.